Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering
Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.SystemModule
Imports DevExpress.Persistent.Base.Security

Imports DevExpress.ExpressApp.ConditionalAppearance
Imports DevExpress.ExpressApp.Filtering

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class DocumentFileData
    Inherits FileAttachmentBase
    Protected _Contracts As Contracts
    Private _DocumentFileData As DocumentFileData
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Persistent(), Association("Contracts-DocumentFileData")> _
    Public Property Contracts() As Contracts
        Get
            Return _Contracts
        End Get
        Set(ByVal value As Contracts)
            SetPropertyValue("Contracts", _Contracts, value)
        End Set
    End Property
End Class
